## openjdk-8 8u212-b01

=== debian/changelog ===
openjdk-8 (8u212-b01-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Add Metamorphosis as Jessie-equivalent distrelease.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 11 May 2019 14:43:00 -0700

openjdk-8 (8u212-b01-1~deb9u1) stretch-security; urgency=medium

  * Rebuild for stretch

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 19 Mar 2019 00:06:47 +0100

openjdk-8 (8u212-b01-1) unstable; urgency=medium

  * Update to 8u212-b01.
  * Enable SA on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Mar 2019 08:26:02 +0100

openjdk-8 (8u202-b26-3) unstable; urgency=medium

  * Fix the 8u202 merge for aarch32, not using SA.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Mar 2019 14:13:37 +0100

openjdk-8 (8u202-b26-2) unstable; urgency=medium

  * Fix builds using the aarch32 hotspot version.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2019 23:37:54 +0100

openjdk-8 (8u202-b26-1) unstable; urgency=high

  * Update to 8u202-b26.
  * Security fixes:
    - CVE-2019-2422, S8206290: Better FileChannel transfer performance.
    - CVE-2019-2426, S8209094: Improve web server connections.
    - S8199156: Better route routing.
    - S8199552: Update to build scripts.
    - S8200659: Improve BigDecimal support.
    - S8203955: Improve robot support.
    - S8204895: Better icon support.
    - S8205709: Proper allocation handling.
    - S8205714: Initial class initialization.
    - S8210094: Better loading of classloader classes.
    - S8210606: Improved data set handling.
    - S8210866: Improve JPEG processing.

  [ Tiago Stürmer Daitx ]
  * Update DEP8 tests:
    - debian/tests/control: updated to allow stderr output and to remove
      dpkg-dev dependency.
    - debian/tests/jtdiff-autopkgtest.sh: use dpkg --print-architecture
      instead of dpkg-architecture; log script name on any output.
    - debian/tests/jtreg-autopkgtest.in: use dpkg --print-architecture instead
      of dpkg-architecture; do not retain test temporary files; log script
      name on any output.
    - debian/tests/jtreg-autopkgtest.sh: regenerated.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2019 17:07:16 +0100
