## openjdk-8 8u212-b03

=== debian/changelog ===
openjdk-8 (8u212-b03-2~deb9u1) stretch-security; urgency=medium

  * Rebuild for stretch-security

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 28 May 2019 19:55:21 +0000

openjdk-8 (8u212-b03-2) unstable; urgency=medium

  * Don't apply the 8221355 fix for ARM builds.
  * Don't configure --with-vendor-name on stable releases.
  * Fix the jpeg runtime dependency for the build in unstable.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 May 2019 10:14:27 +0200

openjdk-8 (8u212-b03-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Configure --with-vendor-name.
  * 8221355: Fix performance regression after JDK-8155635 backport into 8u.

  [ Tiago Stürmer Daitx ]
  * Update to 8u212-b03. LP: #1826001.
  * Security fixes:
    - S8211936, CVE-2019-2602: Better String parsing.
    - S8218453, CVE-2019-2684: More dynamic RMI interactions.
    - S8219066, CVE-2019-2698: Fuzzing TrueType fonts: setCurrGlyphID().
  * Revert to GTK2 as default since GTK3 still has padding and component
    issues:
    - debian/rules: always Build-Depends on libgtk2.0-dev and Depends on
      libgtk2.0-0 instead of relying on gtk3 for some releases.
  * debian/control: add missing dependency on testng (required by the
    testsuites).

  [ Andrej Shadura ]
  * debian/rules: check for nodoc instead of nodocs in DEB_BUILD_OPTIONS.
    Closes: 922757.

  [ Matthias Klose ]
  * debian/rules, debian/tests/jtdiff-autopkgtest.sh,
    debian/tests/jtreg-autopkgtest.in, debian/tests/jtreg-autopkgtest.sh:
    only set the JDK under test and allow jtreg to use its default JDK
    for running the tests.

  [ Thorsten Glaser ]
  * Improve compatibility with older releases. Closes: #925407.
    - debian/rules: determine source date using backwards-compatible
      dpkg-parsechangelog call.
    - debian/control.in: put @bd_cross@ onto same line as @bd_nss@ as
      it can be empty.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Apr 2019 14:51:40 +0200
