=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
 # Shark build but just crash
 shark_archs	=
 
-ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie Metamorphosis))
+ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie))
   is_default = no
 else
   is_default = yes
@@ -129,7 +129,7 @@
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 
-with_docs = $(if $(findstring nodocs, $(DEB_BUILD_OPTIONS)),,yes)
+with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
 ifneq (,$(findstring shark, $(PKGSOURCE)))
   with_docs = disabled for shark
 endif
