## openjdk-8 8u222-b10

=== debian/changelog ===
openjdk-8 (8u222-b10-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Jan 2020 12:56:28 -0800

openjdk-8 (8u222-b10-1~wtf10+1) wtf; urgency=low

  * Rebuild in buster; sponsored by ⮡ tarent
  * Skip running the testsuite, does not work anyway
  * Fix nocheck profile (no profile support) for wheezy
  * Force use of OpenJDK 8 for build

 -- Thorsten Glaser <t.glaser@tarent.de>  Sun, 08 Sep 2019 23:27:41 +0200

openjdk-8 (8u222-b10-1~deb9u1) stretch-security; urgency=medium

  * Rebuild for stretch

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 19 Jul 2019 16:57:48 +0000

openjdk-8 (8u222-b10-1) unstable; urgency=high

  * Update to 8u222-b10 (except for AArch32, updated to b08).
    - Security fixes:
      - S8191073: JpegImageReader throws IndexOutOfBoundsException when
        trying to read image data from tables-only image.
      - S8208698, CVE-2019-2745: Improved ECC Implementation.
      - S8212328, CVE-2019-2762: Exceptional throw cases.
      - S8213431, CVE-2019-2766: Improve file protocol handling.
      - S8213432, CVE-2019-2769: Better copies of CopiesList.
      - S8216381, CVE-2019-2786: More limited privilege usage.
      - S8217563: Improve realm maintenance.
      - S8218863: Better endpoint checks.
      - S8218873: Improve JSSE endpoint checking.
      - S8218876, CVE-2019-7317: Improve PNG support options.
      - S8219018: Adjust positions of glyphs.
      - S8219020: Table alternate substitutions.
      - S8219775: Certificate validation improvements.
      - S8220192: Better outlook for SecureRandom.
      - S8220517: Enhanced GIF support.
      - S8221518, CVE-2019-2816: Normalize normalization.
      - S8223511, CVE-2019-2842: Extended AES support.

  [ Matthias Klose ]
  * Bump standards version.

  [ Tiago Stürmer Daitx ]
  * Backport fix for S8223511 for AArch32.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Jul 2019 18:57:23 +0200

openjdk-8 (8u222-b07-3) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jul 2019 22:02:56 +0200

openjdk-8 (8u222-b07-2) experimental; urgency=medium

  * Remove AArch32 patches, applied upstream.
  * Fix build dependencies for Ubuntu precise builds.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Jun 2019 11:17:16 +0200

openjdk-8 (8u222-b07-1) experimental; urgency=medium

  * Update to 8u222-b07.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Jun 2019 10:48:23 +0200

openjdk-8 (8u222-b05-1) experimental; urgency=medium

  [ Matthias Klose ]
  * Update to 8u222-b05 (except for AArch32).
  * Apply suggested hotspot fixes for AArch32.
  * Re-enable running the testsuite.

  [ Tiago Stürmer Daitx ]
  * Find any hs_err_pid files generated during the build and send to stdout.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Jun 2019 15:03:02 +0200

openjdk-8 (8u222-b04-3) experimental; urgency=medium

  * Update ARM32 to jdk8u222-b04-aarch32-190603.
  * Regenerate the ppc64el patch.
  * Remove unused patches ppc64le-8036767 and zero-opt.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Jun 2019 09:14:38 +0200

openjdk-8 (8u222-b04-1) experimental; urgency=medium

  * Update to 8u222-b04.
  * Update ARM32 to jdk8u212-b04-aarch32-190430.
  * Fix 32bit zero builds. 

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Jun 2019 12:11:07 +0200

openjdk-8 (8u212-b03-3) UNRELEASED; urgency=medium

  * Use -a instead of -s for debhelper tools.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 May 2019 14:10:32 +0200
