=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,8 @@
 multiarch_dir = /$(DEB_HOST_MULTIARCH)
 
 hotspot_aarch32_archs = armhf
+hotspot_aarch64_archs = arm64
+
 hotspot_archs	= amd64 i386 arm64 ppc64 ppc64el sparc64 \
 	$(hotspot_aarch32_archs) kfreebsd-amd64 kfreebsd-i386
 jtreg_archs	= $(hotspot_archs) alpha arm64 armel armhf \
@@ -130,7 +132,7 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), armel))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
-with_check = disabled for this build
+#with_check = disabled for this build
 
 with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
 ifneq (,$(findstring shark, $(PKGSOURCE)))
@@ -154,7 +156,6 @@
 hotspot_version = default
 # FIXME: 8u91 breaks zero, the jdk8-aarch64 hotspot has these issues fixed,
 # without any updates to the jdk8u project.
-hotspot_aarch64_archs = arm64 # armhf powerpc s390x
 ifneq (,$(filter $(DEB_HOST_ARCH),$(hotspot_aarch64_archs)))
   hotspot_version = aarch64
 endif
