## openjdk-8 8u242-b08

=== debian/changelog ===
openjdk-8 (8u242-b08-1~deb9u1) stretch-security; urgency=medium

  * Rebuild for stretch-security

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 10 Feb 2020 12:38:09 +0000

openjdk-8 (8u242-b08-1) unstable; urgency=medium

  * Team upload.
  * Merge changes from 8u242-b08-0ubuntu3 back into Debian
  * Fix nocheck profile (no profile support) for wheezy
  * Version !nocheck default-jre-headless build dependency
    to ensure at least Java 8 there as well; avoids needing to
    install two JREs when building in pre-{stretch,xenial}
  * Update aarch64 to GA jdk8u242-b08, aarch32 to jdk8u242-ga
  * Bump Policy

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 06 Feb 2020 19:12:24 +0100

openjdk-8 (8u242-b08-0ubuntu3) focal; urgency=medium

  * Sync packages with 8u242-b08:
  * OpenJDK 8u242-b08 build (release).
    - S8226352, CVE-2020-2590: Improve Kerberos interop capabilities
    - S8228548, CVE-2020-2593: Normalize normalization for all
    - S8224909, CVE-2020-2583: Unlink Set of LinkedHashSets
    - S8229951, CVE-2020-2601: Better Ticket Granting Services
    - S8231422, CVE-2020-2604: Better serial filter handling
    - S8231795, CVE-2020-2659: Enhance datagram socket support
    - S8234037, CVE-2020-2654: Improve Object Identifier Processing
    - S8037550: Update RFC references in javadoc to RFC 5280
    - S8039438: Some tests depend on internal API sun.misc.IOUtils
    - S8044500: Add kinit options and krb5.conf flags that allow users
      to obtain renewable tickets and specify ticket lifetimes
    - S8058290: JAAS Krb5LoginModule has suspect ticket-renewal logic,
      relies on clockskew grace
    - S8080835: Add blocking bulk read to sun.misc.IOUtils
    - S8138978: Examine usages of sun.misc.IOUtils
    - S8139206: Add InputStream readNBytes(int len)
    - S8183591: Incorrect behavior when reading DER value with
      Integer.MAX_VALUE length
    - S8186576: KerberosTicket does not properly handle renewable
      tickets at the end of their lifetime
    - S8186831: Kerberos ignores PA-DATA with a non-null s2kparams
    - S8186884: Test native KDC, Java krb5 lib, and native krb5 lib in
      one test
    - S8193832: Performance of InputStream.readAllBytes() could be improved
    - S8196956: (ch) More channels cleanup
    - S8201627: Kerberos sequence number issues
    - S8215032: Support Kerberos cross-realm referrals (RFC 6806)
    - S8225261: Better method resolutions
    - S8225279: Better XRender interpolation
    - S8226719: Kerberos login to Windows 2000 failed with "Inappropriate
      type of checksum in message"
    - S8227061: KDC.java test behaves incorrectly when AS-REQ contains a
      PAData not PA-ENC-TS-ENC
    - S8227381: GSS login fails with PREAUTH_FAILED
    - S8227437: S4U2proxy cannot continue because server's TGT cannot be found
    - S8227758: More valid PKIX processing
    - S8227816: More Colorful ICC profiles
    - S8230279: Improve Pack200 file reading
    - S8230318: Better trust store usage
    - S8230967: Improve Registry support of clients
    - S8231129: More glyph images
    - S8231139: Improved keystore support
    - S8232381: add result NULL-checking to freetypeScaler.c
    - S8232419: Improve Registry registration
    - S8233944: Make KerberosPrincipal.KRB_NT_ENTERPRISE field package private
    - S8235909: File.exists throws AccessControlException for invalid
      paths when a SecurityManager is installed
    - S8236983: [TESTBUG] Remove pointless catch block in
      test/jdk/sun/security/util/DerValue/BadValue.java
    - S8236984: Add compatibility wrapper for IOUtils.readFully
  * Use the hotspot arch list to select between hotspot and zero as
    the default VM for autopkgtests. This fixes s390x (zero based)
    autopkgtest support.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Fri, 17 Jan 2020 17:37:33 +0000

openjdk-8 (8u242-b04-1) unstable; urgency=medium

  * Update to 8u242-b04 (early access build).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2020 20:59:40 +0100
